Subject: Re: [RFC doc] Tracking git.git

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 May 2021 05:12:46 +0900

[email-masked] writes:

> On 13.05.2021 20:05, Bagas Sanjaya wrote:
>>But tracking seen is more like tracking linux-next. We do NOT use git
>>pull because often doing so will try to merge origin (upstream) with
>>our local version, which are divergent and most likely will end with
>>conflict.  Instead, we do git fetch first followed by resetting to
>>upstream by git reset --hard origin/seen.
>>
>>Should the fact above be documented? And on what file the fact should
>>be placed? In INSTALL?
>
> I vote yes. I was trying out tracking the different branches and got
> bitten by this very situation (tons of conflicts) when pulling seen.

I vote checking for existing docs before doing this, though.  I
would be surprised if we do not say "do not build on (fork from)
'seen' (formerly known as 'pu')".